:root {
	--layout-width: 1200px;
	--entries-gap: 10px;
}

.center{
	text-align: center
}






/* ****** */
/* images */
/* ****** */
.img-bg{
	background-position: center center !important;
	background-repeat: no-repeat !important;
	background-size: cover; /* auto|length|cover|contain|initial|inherit|100% 100%|200px 200px; */	/**** if made "!important" it will break the zoom effect below */
}
.hero > .img-bg,
.section .side > .img-bg{
	height: 400px;
}
.square{
	aspect-ratio: 1/1;
}
/* ****** */
/* [end]images */
/* ****** */

/* ********************* */
/* CSS bg zoom in effect */
/* ********************* */
/* this version zooms in and zooms out infinitely */
.bg-zoom-in {
    animation: bg-zoom-in 30s ease-in-out infinite;
}
@keyframes bg-zoom-in {
    0% {
        background-size: 100%;
    }
    50% {
        background-size: 120%; /* zoom in */
    }
    100% {
        background-size: 100%; /* zoom back out */
    }
}
/* Mobile version */
@media screen and (max-width: 920px) {
    @keyframes bg-zoom-in {
        0% {
            background-size: auto 100%;
        }
        50% {
            background-size: auto 120%;
        }
        100% {
            background-size: auto 100%;
        }
    }
}

/* this version stops at the end of the first zoom in */
.bg-zoom-in-2{ 
    animation-duration: 30s;
    animation-name: bg-zoom-in-2;
	animation-fill-mode: forwards; /* stops at the end and does not come back to original */
}

@keyframes bg-zoom-in-2{
    from {
    	background-size: 100%;
    }    
    to {
    	background-size: 120%;
    }
}
@media screen and (max-width: 920px){ /* for small resolutions */
@keyframes bg-zoom-in-2{
    from {
    	background-size: auto 100%;
    }    
    to {
    	background-size: auto 120%;
    }
}
}
/* ********************* */
/* [end]CSS bg zoom in effect */
/* ********************* */

/* ********************** */
/* CSS img zoom in effect */
/* ********************** */
.zoom-it{
	background-size: 100%;
	/* Required for the zoom-back effect */
	transition: background-size 0.5s ease; 
}
.zoom-it:hover{
  /* Increase percentage to zoom in */
  background-size: 130%; 
}
/* ********************** */
/* [end]CSS img zoom in effect */
/* ********************** */

/* ********************* */
/* CSS Text Blink Effect: Just add class "blink-it" */
/* ********************* */
.blink-it {
    animation: blink-it 1s infinite;
}
@keyframes blink-it {
    from { opacity: 1.0; }
    50% { opacity: 0.5; }
    to { opacity: 1.0; }
}
/* ********************* */
/* [END] CSS Text Blink Effect */
/* ********************* */

/* ********************* */
/* CSS Button Shake Effect: Just add class "shake-it" */
/* ********************* */
.shake-it:hover, .shake-it-1:hover {
	/* Start the shake animation and make the animation last for 0.5 seconds */
	animation: shake 0.5s;
	/* When the animation is finished, start again */
	animation-iteration-count: infinite;
}
@keyframes shake {
	0% { transform: translate(1px, 1px) rotate(0deg); }
	10% { transform: translate(-1px, -2px) rotate(-1deg); }
	20% { transform: translate(-3px, 0px) rotate(1deg); }
	30% { transform: translate(3px, 2px) rotate(0deg); }
	40% { transform: translate(1px, -1px) rotate(1deg); }
	50% { transform: translate(-1px, 2px) rotate(-1deg); }
	60% { transform: translate(-3px, 1px) rotate(0deg); }
	70% { transform: translate(3px, 1px) rotate(-1deg); }
	80% { transform: translate(-1px, -1px) rotate(1deg); }
	90% { transform: translate(1px, 2px) rotate(0deg); }
	100% { transform: translate(1px, -2px) rotate(-1deg); }
}
/* ********************* */
/* [END] CSS Button Shake Effect */
/* ********************* */

/* ********************* */
/* CSS Button Shake Effect v2: Just add class "shake-it-2" */
/* ********************* */
.shake-it-2:hover {
	animation: shake-it-2 0.82s cubic-bezier(.36,.07,.19,.97) both;
	transform: translate3d(0, 0, 0);
	perspective: 1000px;
}
@keyframes shake-it-2 {
	10%, 90% { transform: translate3d(-1px, 0, 0); }
	20%, 80% { transform: translate3d(2px, 0, 0); }
	30%, 50%, 70% { transform: translate3d(-4px, 0, 0); }
	40%, 60% { transform: translate3d(4px, 0, 0); }
}
/* ********************* */
/* [END] CSS Button Shake Effect v2 */
/* ********************* */

/* ********************* */
/* CSS Button Shake Effect v3: Just add class "shake-it-3" */
/* ********************* */
.shake-it-3:hover {
	animation: shake-it-3 0.4s infinite;
}

@keyframes shake-it-3 {
	0% { transform: translateX(0px) rotate(0deg); }
	20% { transform: translateX(-4px) rotate(-4deg); }
	40% { transform: translateX(-2px) rotate(-2deg); }
	60% { transform: translateX(4px) rotate(4deg); }
	80% { transform: translateX(2px) rotate(2deg); }
	100% { transform: translateX(0px) rotate(0deg); }
}
/* ********************* */
/* [END] CSS Button Shake Effect v3 */
/* ********************* */











/* *********** */
/* sticky menu */
/* *********** */
.sticky-menu{
	position: sticky;
	top: 0;
	z-index: 1000; /* Keeps it above other content */
}
/* *********** */
/* [end]sticky menu */
/* *********** */






/* *************** */
/* triangle border */
/* *************** */
.tringle-border{
	position: relative; /* Required for absolute positioning of the triangle */
}
.tringle-border::after{
	content: "";
	position: absolute;
	top: 100%;       /* Positions it just below the div */
	left: 50%;      /* Moves it to the horizontal center */
	margin-left: -60px; /* Offset by half the triangle's width to perfectly center */
	
	/* The Triangle Shape */
	width: 0;
	height: 0;
	border-left: 60px solid transparent;
	border-right: 60px solid transparent;
	border-top: 20px solid #fbfbfb; /* Match the container's background color */
}
.tringle-border.white::after{
	border-top-color: #ffffff;
}
.tringle-border.gray::after{
	border-top-color: #fbfbfb;
}
/* *************** */
/* [end]triangle border */
/* *************** */






/* ************ */
/* circle icons */
/* ************ */
.circle-icon{
    text-align: center;
    vertical-align: middle;
    border-radius: 50%;
	
	color: #ffffff;
    background: #000000;
	
    width: 45px;
    height: 36px;
	padding-top: 9px;
	font-size: 28px
}
/* ************ */
/* [end]circle icons */
/* ************ */












/* *********************************************************************** */
/* layout below 
/* *********************************************************************** */




















.canvas-panel,
#content{
	padding: 0px
}


.hw-icon{
	margin-right: 10px !important
}


.section > .block-wrap {
	overflow: hidden;
	flex-wrap: wrap;
}
div:not(#content) > .block-wrap{
	display: flex;
	justify-content: center;
}
.block-wrap{
	width: 1200px;
	max-width: 100%;
	margin: auto;
	box-sizing: border-box
}


.entries{
	display: flex;
	flex-wrap: wrap;
	gap: var(--entries-gap); /* Optional spacing */
}
.entries > div{
	/* Subtract gap from percentage to keep 4 per row */
	flex-grow: 0 !important;
	flex-shrink: 0 !important;
	flex-basis: calc(25% - 10px) !important;	
	
	box-sizing: border-box;
}

@media screen and (max-width: 920px){
.entries > div{
	flex-basis: calc(50% - 10px) !important;
}
}





#menu-main .block-wrap{
	flex-wrap: wrap;
	align-items: center; /* Vertically centers all child items */
}
#menu-main .block-wrap > div{
	flex-grow: 1 !important;
	flex-shrink: 1 !important;
	flex-basis: 0 !important;	
	
	box-sizing: border-box;
}

@media screen and (max-width: 920px){
#menu-main .block-wrap > div{
	flex-basis: 25% !important;
}
}






.top-bar > div > div{
	flex-grow: 1 !important;
	flex-shrink: 1 !important;
	flex-basis: 0 !important;	
}
@media screen and (max-width: 920px){
.top-bar > .block-wrap {
	display: block !important
}
}




.header > .block-wrap{
	flex: 1;
	display: flex;	
	align-items: center; /* Vertically centers the content */
}
.header-logo{
	flex-basis: 40%;
}
.header-side{
	flex-basis: 60%;
}
@media screen and (max-width: 920px){
.header > .block-wrap{
	display: block !important
}
.contact-widget.address{
	display: none !important
}
.header-logo{
	margin-bottom: 10px
}
}
.header-side .header-side-wrap{
	display: flex;
	/* Optional: adds some spacing around the items */
	gap: 10px; 
	align-items: center; /* Vertically centers the content */
}
.header-side .contact-widget{
	flex: 1;
	display: flex;	
	align-items: center; /* Vertically centers the content */
}
.header-side .contact-widget .hw-data{
	flex-grow: 1;
	overflow: hidden;
}
@media screen and (max-width: 920px){
.header-side .contact-widget{
	display: flex;
	justify-content: center; /* horizontal */
	align-items: center;     /* vertical */
}
.header-side .hw-data{
	flex-grow: 0 !important
}
}










#top-bar .block-wrap{
	padding: 8px 5px
}
#header .block-wrap{
	padding: 30px 5px 30px 5px
}
#menu-main .menu-item{
	padding: 10px 15px 10px 15px
}
#content .hero-title,
#content .hero-subtitle{
	padding: 5px 15px 5px 15px
}
#content .section .block-wrap{
	padding: 60px 5px 60px 5px;
}
#content .section .block-wrap div{
	padding: 5px
}
#footer .block-wrap,
#footer-bottom .block-wrap{
	padding: 10px 5px
}
#footer div{
	padding: 5px
}
.contact-widgets .contact-widget div{
	padding: 0px !important
}









.section.hero > div{
	display: flex;
	justify-content: center; /* Centers horizontally along the main axis */
	align-items: center;     /* Centers vertically along the cross axis */
	flex-direction: column;  /* Stacks children vertically */
}
.section.hero > div > div{
	background: linear-gradient(rgba(0, 0, 0, 0.85), rgba(0, 0, 0, 0.5));
}





/* content section mobile display layout */
/* reverse divs in mobile */
#content .section .block-wrap > .side{
	flex-grow: 0 !important;
	flex-shrink: 0 !important;
	flex-basis: calc(50% - 10px) !important; /* deduct the padding on the sides */
}
@media screen and (max-width: 920px){
#content .block-wrap{
	flex-direction: column !important
}
#content > :nth-child(2n + 1) .block-wrap > div.side:nth-child(1){
	order: 2 
}
#content > :nth-child(2n + 1) .block-wrap > div.side:nth-child(2){
	order: 1 
}
}









#header .block-wrap .header-logo{
	flex-basis: 40% !important; /* deduct the padding on the sides */
}
#header .block-wrap .header-side{
	flex-basis: 60% !important; /* deduct the padding on the sides */
}
.menu-main .block-wrap > div{
	flex-basis: 100% !important; /* deduct the padding on the sides */
}







.section .title,
.section .entries{
	width: 100%
}







.contact-widgets,
.contact-widgets > div{
	display: flex;
	flex-wrap: wrap
}
.contact-widgets > div{
	flex-grow: 0 !important;
	flex-shrink: 0 !important;
	flex-basis: 100%; /* deduct the padding on the sides */
}









#footer .block-wrap{
	display: flex;
	flex-wrap: wrap; /* Allows items to break to a new line */
}
#footer .block-wrap > div{
	flex-grow: 0 !important;
	flex-shrink: 0 !important;
}
#footer .block-wrap > div:nth-child(1){
	flex-basis: calc(50% - 10px); /* deduct the padding on the sides */
}
#footer .block-wrap > div:nth-child(2){
	flex-basis: calc(25% - 10px); /* deduct the padding on the sides */
}
#footer .block-wrap > div:nth-child(3){
	flex-basis: calc(25% - 10px); /* deduct the padding on the sides */
}
@media screen and (max-width: 920px){
#footer .block-wrap > div{
	flex-basis: 100% !important; /* deduct the padding on the sides */
}
}





/* images */
.footer-logo{
	width: 100px;
}
.footer-contact{
	width: 50px;
}
























.section .hero-title{
	margin-bottom: 5px
}














.section.contact .contact-widgets > div:first-child{
	margin-top: 20px;
}
.section.contact .contact-widgets > div:not(:last-child){
	margin-bottom: 20px;
}
.section.contact .contact-widgets .circle-icon{
	color: #ffffff;
    background: #000000;
	
    width: 45px;
    height: 36px;
	padding-top: 9px;
	font-size: 28px
}


.section.contact .form-field input,
.section.contact .form-field textarea{
	width: 100%;
	max-width: 100%;
	font-size: 18px;
	padding: 5px 10px;
	box-sizing: border-box
}
.section.contact .form-field textarea{
	height: 60px
}
.section.contact .form-field input[type=submit]{
	font-size: 24px;
	width: 100%;
}









.section.gallery-photos .img-bg,
.section.gallery-videos .img-bg,
[tab="services"] .section.services .img-bg{ /* use [tab="services"] so it does not conflict with the services at the home page */
	aspect-ratio: 1 / 1;
}












t{
	width: fit-content;
}








.section .side .button{
	margin-top: 20px
}















/* *********************************************************************** */
/* style below 
/* *********************************************************************** */







#document{
	font-family: "Arial", Gadget, sans-serif;
}

#document a{
	text-decoration: none;
	color: inherit;
}

.menu-item{
	cursor: pointer;
}











#top-bar,
#footer-bottom{
	font-size: 14px;
}
#menu-main .menu-item{
	font-size: 18px;
}
.section .hero-subtitle,
.section.services .service-title,
.section.contact .hw-value,
.footer-col .title{
	font-size: 24px
}
.section .title{
	font-size: 32px !important
}
.header-logo,
.section .hero-title,
#footer .block-wrap div:first-child .title{
	font-size: 36px;
}









.section .hero-title,
.section .hero-subtitle{
	color: #ffffff;
}










#content .section:nth-child(2n){
	background-color: #fbfbfb 
}
#menu-main .menu-item:not(:last-child){
	border-right: 1px solid white
}









#top-bar .block-wrap > div,
.section.hero > div > div,
.section.services .service-title,
#footer-bottom,
#menu-main .menu-item{
	text-align: center
}
@media screen and (max-width: 920px){
.header-logo{
	text-align: center !important;
}
}










.hw-label,
.section.services .service-title,
#footer .footer-col .title{
	font-weight: bold;
}
.header-logo,
.section .hero-title,
.section .title,
#footer .block-wrap div:first-child .title{
	font-weight:900
}










.section.reviews .entries .entry > :nth-child(2){
	text-align: right
}

.section.reviews .entries .entry > :nth-child(1){
	background-color: #fbfbfb;
	border: 1px solid #efefef;
	border-radius: 5px;
	padding: 10px !important;
	
	position: relative; /* Required for absolute positioning of the triangle */	
	
	margin-bottom: 10px
}
.section.reviews .entries .entry > :nth-child(1)::after{
	content: "";
	position: absolute;
	top: 100%;       /* Positions it just below the div */
	left: 50%;      /* Moves it to the horizontal center */
	margin-left: 100px; /* Offset by half the triangle's width to perfectly center */
	
	/* The Triangle Shape */
	width: 0;
	height: 0;
	border-left: 20px solid transparent;
	border-right: 20px solid transparent;
	border-top: 10px solid #121212; /* Match the container's background color */
}
@media screen and (max-width: 920px){
.section.reviews .entries .entry > :nth-child(1)::after{
	margin-left: 60px; /* Offset by half the triangle's width to perfectly center */
}
}













#menu-footer .menu-item{
	padding: 10px 0;
	border-bottom: 1px dotted white;
}
#footer .footer-contact{
	margin-bottom: 10px !important
}

















.button{
	width: fit-content !important;
	border: 1px solid #bfbfbf;
}
.button,
.button.medium{	 /* medium */
	font-size: 24px;
	padding: 5px 16px !important
}
.button.large{
	font-size: 32px;
	padding: 5px 18px !important
}
.button.small{
	font-size: 18px;
	padding: 5px 12px !important
}

















